Get v0config - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v0 /config
Try it
cURL
curl --request GET \
--url https://demo-api.gable.ai/v0/config \
--header 'X-API-KEY: <api-key>'
Python
import requests
url = "https://demo-api.gable.ai/v0/config"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://demo-api.gable.ai/v0/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
200
{
"config_type": "<string>",
"project_root": "<string>",
"version": "<string>",
"config_value": {},
"namespace": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"repo": "<string>"
}
Authorizations
- X-API-KEY
- string
- header
- required
Query Parameters
- config_type
- string
- required
- repo
- string
- required
- language
- string
- version
- string
- namespace
- string
Response Fields
- config_type
- string
- required
- Type of configuration
- project_root
- string
- required
- Project root directory (optional)
- version
- string
- required
- Version of the configuration
- config_value
- object
- required
- Configuration value as JSON
- namespace
- string
- required
- Namespace (qa/sandbox/prod) of config
- created_at
- string
- required
- Date time at which the config was created
- string
- language
- string | null
- Programming language associated with the config (optional)
- repo
- string | null
- Repository associated with the config (optional)